# syntax=docker/dockerfile:1.5.1
ARG REPOSITORY
ARG TAG
FROM ${REPOSITORY}/drupal:${TAG}

ARG TARGETARCH

# jq used by install script to parse the output of ActiveMQ checks.
RUN apk add jq shadow

# specify e-mail via env vars and default.settings.php
ENV \
    DRUPAL_DEFAULT_MAILSYSTEM_SENDER= \
    DRUPAL_DEFAULT_SMTP_HOST= \
    DRUPAL_DEFAULT_SMTP_USERNAME= \
    DRUPAL_DEFAULT_SMTP_PASSWORD= \
    DRUPAL_DEFAULT_SMTP_PORT=587 \
    DRUPAL_DEFAULT_SMTP_PROTOCOL=ssl \
    DRUPAL_DEFAULT_SENDGRID_TOKEN= \
    S6_CMD_WAIT_FOR_SERVICES_MAXTIME=900000

COPY --link rootfs /

RUN --mount=type=cache,id=custom-drupal-composer-${TARGETARCH},sharing=locked,target=/root/.composer/cache \
    composer install -d /var/www/drupal && \
    chown -R nginx:nginx /var/www/drupal && \
    cleanup.sh
